Subject: Re: [bug-diffutils] bug#32993: Pathologically slow operation

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 Oct 2018 20:14:27 -0400

>> tries to do word-level diffs (by basically turning every word
>> into N copies of this word, each one on its own line (where N is the
>> number of chars in the word, used to indicate to `diff` that long words
>> are "more costly" than short ones)
> Ouch.  That's a really inefficient way of mucking with the cost
> algorithm.

What other way is there?

> Diff should be able to do taht directly, without your having to
> repeat the words. (Just a simple matter of programming....)

"man diff" doesn't seem to offer much room for "programming".

        Stefan